Create task recraft-ai/recraft-v3-svg
Official documentation: https://replicate.com/recraft-ai/recraft-v3-svg
POST
/replicate/v1/models/recraft-ai/recraft-v3-svg/predictionsBody Parametersapplication/json
input object
Input content
properties aspect_ratio string
The aspect ratio of the generated image. Default value: "Not set"
prompt* string
Image-generated text prompts.
size string
Generates the width and height of the image. If aspect ratio is set, dimensions are ignored. Default value: "1024x1024"
style string
The style of the generated image. Default value: "any"
Responses
200 application/json
response-200 object
properties created_at string
Creation time
data_removed boolean
Whether sensitive data has been removed
error string nullable
Error message
id* string
Resource or task ID
input object
Input content
logs string
Run logs
model string
Model name / model ID
output string nullable
Output result
status* string
Status
urls object
List of resource URLs
version string
Version
400 Bad request or validation failed application/json
response-400 object
properties error* object
401 Missing or invalid API Key application/json
response-401 object
1{
2"input": {
3"aspect_ratio": "Not set",
4"prompt": "a portrait of a cute red panda using a laptop, the poster has the title \"Red panda is Recraft v3\", against a red background",
5"size": "1024x1024",
6"style": "any"
7}
8}
1curl -X POST "https://api.digislash.com/replicate/v1/models/recraft-ai/recraft-v3-svg/predictions" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"input": {
6"aspect_ratio": "Not set",
7"prompt": "a portrait of a cute red panda using a laptop, the poster has the title \"Red panda is Recraft v3\", against a red background",
8"size": "1024x1024",
9"style": "any"
10}
11}'
1▼{
2"created_at": "2025-07-30T01:49:55.839Z",
3"data_removed": false,
4"id": "21r1gkwrzxrme0crb42tx4qrem",
5▼"input": {
6"aspect_ratio": "Not set",
7"prompt": "a portrait of a cute red panda using a laptop, the poster has the title \"Red panda is Recraft v3\", against a red background",
8"size": "1024x1024",
9"style": "any"
10},
11"logs": "",
12"model": "recraft-ai/recraft-v3-svg",
13"status": "starting",
14▼"urls": {
15"cancel": "https://api.replicate.com/v1/predictions/21r1gkwrzxrme0crb42tx4qrem/cancel",
16"get": "https://api.replicate.com/v1/predictions/21r1gkwrzxrme0crb42tx4qrem",
17"stream": "https://stream.replicate.com/v1/files/bcwr-7u7q63im74v2xjin5o7xj5prlfisac3m7ni22gh22jfejdfwi22q",
18"web": "https://replicate.com/p/21r1gkwrzxrme0crb42tx4qrem"
19},
20"version": "hidden"
21}
